unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OleCtrls, CRVIEWER9Lib_TLB, CRAXDRT_TLB;

type
  TForm1 = class(TForm)
    CRViewer91: TCRViewer9;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  crApplication : IApplication;

implementation
uses COMOBJ;
{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
   CommonDialog : TOpenDialog;
   crReport : IReport;
begin

   CommonDialog := TOpenDialog.Create(Self);
   CommonDialog.Filter := 'Crystal Reports (*.rpt)|*.rpt';
   if CommonDialog.Execute then begin
      try
         Cursor := crHourGlass;
         crReport := crApplication.OpenReport(CommonDialog.FileName, crOpenReportByTempCopy);

         //Any Database logon, parameter field, select formula code would go here

         crViewer91.ReportSource := crReport;
         crViewer91.ViewReport;
         while crViewer91.IsBusy do begin
            //Delphi 6 may have a different object instead of 'forms'
            forms.Application.ProcessMessages;
         end;
         Cursor := crDefault;

         //After user is done viewing report, release it
         crReport._Release;
      except
      on E: EOLEException do ShowMessage (E.Message);
      end;
   end;
   CommonDialog.Free;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
//Instantiate the one global reference to the RDC Application object
crApplication := CreateOLEObject('CrystalRuntime.Application.9') as IApplication;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
//Release application object at close of project
crApplication._Release();
end;

end.
